Page MenuHomePhabricator

Editors must review their main pages: End of life for wgMFSpecialCaseMainPage
Closed, ResolvedPublic

Description

NOTE: I'm looking for ambassadors who can spread the message amongst the impacted communities; template editors in the target wikis that can act as point persons and help me understand the challenges faced with helping us improve these main pages; template editors who can fix the problems; editors who can compare the existing main page with the test URI and inform me where it improves the experience. Any help appreciated!

Problem

MobileFrontend since its inception has been applying formatting to the main page of MediaWiki sites. This code while adding confusion for editors and technical maintenance by WMF adds a performance penalty as it requires additional PHP processing as well as provides different experiences to mobile users - usually in the form of hiding content. For example on English Wikipedia only "Today's featured content" and "In the news" sections are served to mobile users.

This code was deprecated in 2017 and is planned for removal in April 2020 (date tbc, pushed later due to covid19).

With the adoption of Extension:TemplateStyles this code is now obsolete and many projects have made the appropriate updates that make content adapt to mobile screens. Instructions on how to migrate can be found on mediawiki.org.

Actions required from editors

  1. For projects you are users of please apply the query string ?mfnolegacytransform=1&debug=1 to your main page on mobile and compare it with the main page without the query. For example users of english Wikipedia would compare https://en.m.wikipedia.org/?mfnolegacytransform=1&debug=1 with https://en.m.wikipedia.org/ - please document what you see and report it on your local community discussion page e.g. Wikipedia:Village_pump
  2. Check if your wiki can be fixed by the recommended quick fix.
  3. If your project needs more time to migrate please comment here or on the talk page mw:Talk:Mobile Gateway/Mobile homepage formatting
  4. Please raise any technical questions on mw:Talk:Mobile Gateway/Mobile homepage formatting. I will be happy to help you make this migration.

Related reading:

Projects impacted

Done! 165 sites still require a fix. Thank you to the 18 sites that have already responded. The sites that still need to act are listed below:
wikipedia (89)

alswikipedia
amwikipedia
arcwikipedia
arwikipedia
astwikipedia
aswikipedia
avwikipedia
barwikipedia
bawikipedia
bjnwikipedia
bnwikipedia
bxrwikipedia
cawikipedia
cdowikipedia
cewikipedia
cswikipedia
cywikipedia
dewikipedia
eowikipedia
etwikipedia
fiwikipedia
fowikipedia
fywikipedia
gagwikipedia
gawikipedia
glwikipedia
guwikipedia
gvwikipedia
hifwikipedia
hrwikipedia
hsbwikipedia
hywikipedia
iowikipedia
jawikipedia
kbdwikipedia
kmwikipedia
knwikipedia
kuwikipedia
kywikipedia
lbwikipedia
lezwikipedia
lowikipedia
lvwikipedia
minwikipedia
mkwikipedia
mrwikipedia
mswikipedia
mywikipedia
nahwikipedia
newikipedia
nlwikipedia
nnwikipedia
nowikipedia
ocwikipedia
orwikipedia
oswikipedia
pnbwikipedia
ptwikipedia
rmwikipedia
ruewikipedia
rwwikipedia
sahwikipedia
sawikipedia
scnwikipedia
scwikipedia
shwikipedia
simplewikipedia
siwikipedia
skwikipedia
slwikipedia
sowikipedia
sqwikipedia
stwikipedia
swwikipedia
tawikipedia
tewikipedia
thwikipedia
tlwikipedia
tnwikipedia
trwikipedia
ttwikipedia
tyvwikipedia
ukwikipedia
uzwikipedia
xalwikipedia
yowikipedia
zawikipedia
zeawikipedia
zuwikipedia

wikiquote (16)

dawikiquote
dewikiquote
enwikiquote
eswikiquote
etwikiquote
frwikiquote
guwikiquote
itwikiquote
kawikiquote
ptwikiquote
suwikiquote
tawikiquote
tewikiquote
trwikiquote
viwikiquote
zhwikiquote

wikivoyage (2)

ptwikivoyage
zhwikivoyage

wikinews (9)

cawikinews
dewikinews
enwikinews
frwikinews
itwikinews
jawikinews
ruwikinews
srwikinews
ukwikinews

wiktionary (20)

astwiktionary
cswiktionary
dewiktionary
elwiktionary
enwiktionary
fiwiktionary
hiwiktionary
iswiktionary
ltwiktionary
nlwiktionary
orwiktionary
plwiktionary
ptwiktionary
ruwiktionary
simplewiktionary
svwiktionary
tawiktionary
ugwiktionary
uzwiktionary
zhwiktionary

wikibooks (9)

arwikibooks
cawikibooks
enwikibooks
fawikibooks
frwikibooks
kowikibooks
ptwikibooks
trwikibooks
zhwikibooks

wikisource (18)

arwikisource
bewikisource
bnwikisource
brwikisource
dawikisource
dewikisource
enwikisource
etwikisource
hrwikisource
itwikisource
jawikisource
kowikisource
mlwikisource
plwikisource
tewikisource
ukwikisource
vecwikisource
zhwikisource

Event Timeline

Restricted Application added subscribers: Strainu, Petar.petkovic, jeblad and 4 others. · View Herald TranscriptFeb 28 2020, 12:45 AM
Dcljr updated the task description. (Show Details)Feb 28 2020, 1:03 AM
JJMC89 updated the task description. (Show Details)Feb 28 2020, 2:25 AM
Tacsipacsi updated the task description. (Show Details)Feb 28 2020, 3:07 PM
Tacsipacsi added a subscriber: Tacsipacsi.
Kizule added a subscriber: Kizule.EditedFeb 28 2020, 3:17 PM

I just notified Croatian Wikipedia community via their Discord.

For srwikinews I will try to work on this with @Acamicamacaraca and @Srdjan_m.

Thanks @Zoranzoki21 let me know if I can help with any technical questions or examples of wikis with similar main pages to the desired one. https://fr.m.wikipedia.org/wiki/Wikip%C3%A9dia:Accueil_principal seems to be a good example of what's possible here.

https://fr.m.wikipedia.org/wiki/Wikip%C3%A9dia:Accueil_principal seems to be a good example of what's possible here.

But not of how: it uses site-wide styles, not TemplateStyles, so style definitions are spread over MediaWiki:Common.css and MediaWiki:Mobile.css, and it even causes flash of unstyled content on mobile.

https://fr.m.wikipedia.org/wiki/Wikip%C3%A9dia:Accueil_principal seems to be a good example of what's possible here.

But not of how: it uses site-wide styles, not TemplateStyles, so style definitions are spread over MediaWiki:Common.css and MediaWiki:Mobile.css, and it even causes flash of unstyled content on mobile.

Thanks for pointing that out! Looks like https://meta.wikimedia.org/w/index.php?title=Main_Page&action=edit might be a better example - that uses TemplateStyles and a responsive 2 column layout.

Ivi104 added a subscriber: Ivi104.Feb 28 2020, 10:09 PM
Stryn added a subscriber: Stryn.Mar 1 2020, 8:43 AM

We definitely need more time to fix this at rowiki, since apparently I'm the only one with both the knowledge and access to be able to fix the main page and I currently don't have more that 5-10 minutes at a time to devote to wiki. I would appreciate it if you could push back the deadline to Jun 2nd or later in the hope that I will be able to look into the design on a national holiday.

We definitely need more time to fix this at rowiki, since apparently I'm the only one with both the knowledge and access to be able to fix the main page and I currently don't have more that 5-10 minutes at a time to devote to wiki. I would appreciate it if you could push back the deadline to Jun 2nd or later in the hope that I will be able to look into the design on a national holiday.

Noted.
Looking at your wiki, I think this CSS added as a template style will get you most of the way there without interrupting display on any other wikis:

body.skin-minerva table, body.skin-minerva  tr, body.skin-minerva  td, body.skin-minerva  tbody {
  display: block !important;
  width: 100% !important;
  box-sizing: border-box;
}

But you'll also need to add classes to the headings such as Conținut recomandat to apply the same rule above to those two.

Jdlrobson updated the task description. (Show Details)Mar 3 2020, 4:35 PM

Thanks @Jdlrobson you suggestion worked with minor changes. If you also have suggestions for the bottom 2 sections (categories and other projects) which render badly, it would be great. :)

Easiest short term solution would likely be to add a nomobile class to those elements. It will hide them on mobile.

Jdlrobson updated the task description. (Show Details)Apr 10 2020, 7:22 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Johan.

Traction is pretty disappointing here. Only 7 projects have taken steps here and very few people have reached out to me. I think driving these changes might require more drastic measures such as targeting individual projects and intentionally breaking them to force fixes. e.g. We might start with Wikivoyage given the low number of impact wikis and set a month deadline for turning this off.

@Johan any ideas on how we can get more engagement with this task? Projects main pages currently hide lots of information to work around this problem and I'd really like to work with community members to help update them.

Jdlrobson updated the task description. (Show Details)May 5 2020, 5:55 PM
Jdlrobson updated the task description. (Show Details)
JMinor added a comment.May 5 2020, 6:18 PM

@bearND can you confirm that this change will not break the existing feeds, since some of that is based on markup from MobileFrontend?

Jdlrobson updated the task description. (Show Details)May 5 2020, 6:20 PM

any ideas on how we can get more engagement with this task? Projects main pages currently hide lots of information to work around this problem and I'd really like to work with community members to help update them.

Maybe leaving messages on affected main pages’ talk pages and/or affected wikis’ village pumps may draw more attention to the issue.

Thanks for the suggestion @Tacsipacsi - is that something I could use MassMessage for?

I think you could in theory, but I don’t know if it can add pages to your watchlist—which is quite important IMO if you want people to reach out to you. Of course using MassMessage and getting those pages on your watchlist in some other way also seems to be a viable solution if MM can’t handle the watchlist.

Jdlrobson updated the task description. (Show Details)May 5 2020, 6:57 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson edited subscribers, added: Theklan, Pols12, Wladek92 and 8 others; removed: Maryana.
Huji removed a subscriber: Huji.May 5 2020, 7:24 PM
bearND added a comment.May 5 2020, 8:43 PM

can you confirm that this change will not break the existing feeds, since some of that is based on markup from MobileFrontend?

@JMinor The Wikifeeds endpoints should not be affected since they don't actually parse the main page directly. Instead they either parse template pages that get transcluded by main pages or, for TFA, use a Special page.

Strainu removed a subscriber: Strainu.May 5 2020, 10:07 PM
Johan added a comment.May 6 2020, 10:33 AM

Putting a larger number of Village Pumps on one's watchlist might not the best way to keep an eye for replies, though, there's too many other things going on, too much watchlist noise. If you decide to go with MassMessage, one solution could be asking (in bold) that people comment in your preferred location (Phab?), but if they for some reason can't, on your [[talk page]] on the local wiki. That way, you'll be notified but they don't have to leave their home wiki or know how to ping you.

Dcljr updated the task description. (Show Details)May 6 2020, 10:17 PM
Jdlrobson updated the task description. (Show Details)May 8 2020, 5:48 PM
Qgil removed a subscriber: Qgil.May 11 2020, 12:48 PM
Jdlrobson updated the task description. (Show Details)May 11 2020, 6:25 PM
Jdlrobson updated the task description. (Show Details)May 18 2020, 10:32 PM
Andyrom75 added a subscriber: Andyrom75.EditedMay 25 2020, 6:31 PM

@Jdlrobson Although I'm still working on the itwikivoyage homepage, could you set $wgMFSpecialCaseMainPage = false to disable the different mobile view?

Jdlrobson updated the task description. (Show Details)May 27 2020, 8:39 PM
Solstag removed a subscriber: Solstag.May 27 2020, 8:43 PM
Jdlrobson closed this task as Resolved.May 28 2020, 1:44 AM
Jdlrobson claimed this task.

@Jdlrobson Although I'm still working on the itwikivoyage homepage, could you set $wgMFSpecialCaseMainPage = false to disable the different mobile view?

Done.

I'm going to close out this user notice for now. I will run a new one shortly with more direct steps as I accelerate this deprecation process.